Bug 151983 - kernel-2.6.11-1.1201_FC4 has drm initializing problem.
kernel-2.6.11-1.1201_FC4 has drm initializing problem.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-23 20:26 EST by MASAO TAKAHASHI
Modified: 2015-01-04 17:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 13:52:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (12.80 KB, text/plain)
2005-03-23 20:29 EST, MASAO TAKAHASHI
no flags Details

  None (edit)
Description MASAO TAKAHASHI 2005-03-23 20:26:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.5) Gecko/20041108 Firefox/1.0

Description of problem:
After booting up kernel, "dmesg" messages shows a error concerning with drm.
Such as follows.
"[drm:drm_fill_in_dev] *ERROR* Cannot initialize the agpgart module.
DRM: Fill_in_dev failed."



Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1121_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot and "dmesg"
2.
3.
  

Actual Results:  An error message is appeared as follows. 
"[drm:drm_fill_in_dev] *ERROR* Cannot initialize the agpgart module.
DRM: Fill_in_dev failed."


Expected Results:  Previous version has not this problem.

Additional info:

An difference of  drm initializing message between current and previous release

1. kernel-2.6.11-1.1190_FC4
  "Mar 23 08:22:38 mtakahashi kernel: [drm] Initialized i915 1.1.0 20040405 on minor 0:"

2. kernel-2.6.11-1.1201_FC4
  "Mar 23 11:31:00 mtakahashi kernel: [drm] Initialized drm 1.0.0 20040925"
Comment 1 MASAO TAKAHASHI 2005-03-23 20:29:58 EST
Created attachment 112286 [details]
dmesg log
Comment 2 MASAO TAKAHASHI 2005-03-23 20:44:45 EST
A kernel version in the title is wrong.
A correct Kernel version is kernel-2.6.11-1.1201_FC4.
Comment 3 MASAO TAKAHASHI 2005-03-24 03:29:53 EST
I have tested on the kernel-2.6.12-rc1-bk1.
Same error has occurred.
Perhaps, this error has derived from patch-2.6.12-rc1.
Comment 4 MASAO TAKAHASHI 2005-03-26 03:16:11 EST
I have tested the kernel-2.6.12-rc1-mm3.
That is good.
Comment 5 MASAO TAKAHASHI 2005-03-31 00:41:37 EST
I have tested kernel-2.6.11-1.9_FC3.
That has a same problem.
But kernel-2.6.11-1.7_FC3 is good.
Comment 6 Dave Jones 2005-03-31 00:51:43 EST
there are no drm changes at all between 1.7 and 1.9, so this makes no sense at
all to me.
Comment 7 MASAO TAKAHASHI 2005-03-31 07:15:50 EST
You are right,  Mr Jones.
kernel-2.6.11-1.9_FC3 has not this problem.
After I have updated udev to udev-050-10, this problem is disappered w/
kernel-2.6.11-1.9_FC3.
Comment 8 Warren Togami 2005-03-31 16:24:26 EST
Takahashi-san, why are you installing FC4 packages in FC3?  udev-039-10.FC3.7
from FC3 updates didn't solve this problem?  It was released for the purpose of
fixing DRM with 2.6.11.

Note You need to log in before you can comment on or make changes to this bug.